package cn.ibizlab.util.client;

import cn.ibizlab.util.dict.CodeItem;
import cn.ibizlab.util.dict.CodeList;
import com.alibaba.fastjson.JSONArray;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

@Component
public class IBZDictFallback implements IBZDictFeignClient {

    @Override
    public Boolean syncRuntimeDict(JSONArray catalogs) {
        return null;
    }

    @Override
    public CodeList getCodeList(@PathVariable("code") String code) {
        return null;
    }
}
